<?php
/**
 * Created by PhpStorm.
 * User: robin
 * Date: 9/26/15
 * Time: 2:53 PM
 */

use Luticate\Generator\LuGenerator;

require_once('../vendor/autoload.php');

Dotenv::load("..");

$gen = new LuGenerator();

echo "\n\nDEFAULT\n\n";

$gen->run();

$gen->setConfig(array("dbo" =>
    array(
        "namespace" => 'Luticate\Package\DBO',
        "folder" => 'generated/Package/DBO'
    ),
    "models" =>
        array(
            "namespace" => 'Luticate\Package\DataAccess\Models',
            "folder" => 'generated/Package/DataAccess/Models'
        ),
    "sp" =>
        array(
            "namespace" => 'ALuticate\Package\DataAccess\SP',
            "folder" => 'generated/Package/DataAccess/SP'
        ),
    "dataaccess" =>
        array(
            "namespace" => 'Luticate\Package\DataAccess',
            "folder" => 'generated/Package/DataAccess'
        ),
    "business" =>
        array(
            "namespace" => 'Luticate\Package\Business',
            "folder" => 'generated/Package/Business'
        ),
    "mode" => 0777,
    "ignore" => array(
        "tables" => array(
            "/luticate_users_groups/"
        ),
        "sp" => array(
            "/^sp_lu_get/"
        )
    )
));

echo "\n\nCONFIG\n\n";
$gen->run();